
// ******************************************************************
// Copyright (c) 2003- Satoshi, All Rights Reserved.
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//
// Author : Satoshi ( af230533@yahoo.co.jp )
// ******************************************************************

#include "zeditor.h"

#include <qpe/qpeapplication.h>
#include <stdlib.h>

TextEdit	*G_edit;

int main( int argc, char **argv )
{
	QPEApplication a( argc, argv );

	// ---------------------------- v2.0.1
	QFileInfo	arg0_info( argv[0] );
	QString baseName = arg0_info.baseName();
	if ( baseName.left(2) == "ze" )
		baseName.replace( 0, 2, "ZE" );

	TextEdit e( baseName );
	G_edit = &e;

	// --------------------------- v2.0.6 move here : Mr.yakty
	e.wrap_this();	// can't get frame_width in TextEdit!!!
	a.showMainDocumentWidget(&e);
//	if ( argc == 3 && argv[1] == QCString("-f") )
//	{
//		e.openThisFile(argv[2]);
//	}
	if ( argc == 3 )
	{
		QFileInfo	f_info( argv[1] );
		e.openThisFile( f_info.absFilePath() );
		e.jump_to( atoi( argv[2] ));
	}

	// --------------------------- v1.3.1 qcop message --> TextEdit
//	a.connect( &a, SIGNAL(appMessage( const QCString& msg, const QByteArray& data )), &e, SLOT( qcop_recieve( const QCString& msg, const QByteArray& data )));

	return( a.exec() );
}
